<?php
//CoderBy Yakup
date_default_timezone_set('GMT');
    include  'System/Config.php';
    // Admin Giriş Yapmışmı Yapmamışmı Kontrolü
    if(@$_SESSION['admin']) {
    // Dosyalara Harici Olarak Ulaşımı Engeller
    define("Hacking","Hacking");

        include  'Header.php';
        include  'Sidebar.php';
        $kayitsayisi = 5;     //sayfa başında listelenecek eleman sayısı buradan değiştirilir. yada ilgili sayfanın yerinde değişken yerine farklı bi rakam yazılabilir.
        $do = @$_GET['do'];
        Switch ($do) {

            // Anasayfa
            default;
                include  'Home.php';
            break;
            // Oturum Sonlandırma
            case'cikis';
                $Admin->cikis();
            break;
            // Site Ayarları
            case'site-ayarlari';
                include  'islemler/site_ayarlari.php';
            break;
            // Modül Ayarları
            case'modul_ayarlari';
                include  'islemler/modul_ayarlari.php';
            break;
			 // Program Hk.
            case'programhakkinda';
                include  'islemler/programhakkinda.php';
            break;
            // Sayfa Paneli
            case'sayfa';
                if(isset($_GET['ekle'])){
                    include  'islemler/sayfa_ekle.php';
                }elseif(isset($_GET['sil'])){
                    // Gelen İd Değeri
                    $gelen = @get('sil');
                    $Sayfa->sayfa_sil($gelen);
                }elseif(isset($_GET['duzenle'])){
                    include  'islemler/sayfa_duzenle.php';
                }else{
                    include  'islemler/sayfalar.php';
                }
            break;
            // Kategori Paneli
            case'kategori';
                if(isset($_GET['ekle'])){
                    include  'islemler/kategori_ekle.php';
                }elseif(isset($_GET['sil'])){
                    // Gelen İd Değeri
                    $gelen = @get('sil');
                    $Sayfa->kategori_sil($gelen);
                }elseif(isset($_GET['duzenle'])){
                    include  'islemler/kategori_duzenle.php';
                }else{
                    include  'islemler/kategoriler.php';
                }
             break;
            // Ürün Paneli
            case'urun';
                if(isset($_GET['ekle'])){
                    include  'islemler/urun_ekle.php';
                }elseif(isset($_GET['sil'])){
                    $gelen = @get('sil');
                    $uid = @get('katid');
                    $urun->urun_sil($gelen,$uid);
                }elseif(isset($_GET['duzenle'])){
                    include  'islemler/urun_duzenle.php';
                }else{
                    include  'islemler/urunler.php';
                }
            break;
			// Blog Paneli
            case'blog';
                if(isset($_GET['ekle'])){
                    include  'islemler/blog_ekle.php';
                }elseif(isset($_GET['sil'])){
                    $gelen = @get('sil');
                    $blog->blog_sil($gelen);
                }elseif(isset($_GET['duzenle'])){
                    include  'islemler/blog_duzenle.php';
                }else{
                    include  'islemler/blog.php';
                }
            break;
			// SSS Paneli

            case'sss';

                if(isset($_GET['ekle'])){

                    include  'islemler/sss_ekle.php';

                }elseif(isset($_GET['sil'])){

                    // Gelen İd Değeri

                    $gelen = @get('sil');

                    $Sayfa->sss_sil($gelen);

                }elseif(isset($_GET['duzenle'])){

                    include  'islemler/sss_duzenle.php';

                }else{

                    include  'islemler/sss.php';

                }

            break;

			  // Hizmet Paneli

            case'hizmetler2';

                if(isset($_GET['ekle'])){

                    include  'islemler/hizmetler_ekle2.php';

                }elseif(isset($_GET['sil'])){

                    // Gelen İd Değeri

                    $gelen = @get('sil');

                    $Sayfa->hizmetler_sil2($gelen);

                }elseif(isset($_GET['duzenle'])){

                    include  'islemler/hizmetler_duzenle2.php';

                }else{

                    include  'islemler/hizmetler2.php';

                }

            break;

            // İletişim Paneli
            case'iletisim';
                if(isset($_GET['oku'])){
                    include  'islemler/iletisim_oku.php';
                }elseif(isset($_GET['sil'])){
                    $gelen = @get('sil');
                    $iletisim_sil = $db->delete('iletisim')
                        ->where('iletisim_id',$gelen)
                        ->done();
                    git('index.php?do=iletisim');
                }else{
                    include  'islemler/iletisim.php';
                }
            break;

            // Siparis Paneli
            case'siparisler';
                if(isset($_GET['oku'])){
                    include  'islemler/siparisler_oku.php';
                }elseif(isset($_GET['sil'])){
                    $gelen = @get('sil');
                    $siparisler_sil = $db->delete('siparisler')
                        ->where('siparisler_id',$gelen)
                        ->done();
                    git('index.php?do=siparisler');
                }else{
                    include  'islemler/siparisler.php';
                }
            break;
/*
            // Admin Kişisel Profil Bilgilerim
            case'profil';
                if(isset($_GET['sifre'])){
                    include  'islemler/sifre_degis.php';
                }else{
                    include  'islemler/profil.php';
                }
            break;
*/
            // Foto Galeri Sayfası
            case'galeri';
                if(isset($_GET['ekle'])){
                    include  'islemler/galeri_ekle.php';
                }elseif(isset($_GET['sil'])){
                    $gelen = @get('sil');
                    $galeri_sil = $db->delete('galeri')
                        ->where('id',$gelen)
                        ->done();
                    git('index.php?do=galeri');
                }else{
                    include  'islemler/galeri.php';
                }
            break;

			  // Referans Sayfası
            case'referans';
                if(isset($_GET['ekle'])){
                    include  'islemler/referans_ekle.php';
                }elseif(isset($_GET['sil'])){
                    $gelen = @get('sil');
                    $referans_sil = $db->delete('referans')
                        ->where('id',$gelen)
                        ->done();
                    git('index.php?do=referans');
                }elseif(isset($_GET['duzenle'])){
                    $gelen = @get('duzenle');
                    include  'islemler/referans_duzenle.php';
                }else{
                    include  'islemler/referans.php';
                }
            break;

            // markalar Sayfası
                case'markalar';
                    if(isset($_GET['ekle'])){
                        include  'islemler/markalar_ekle.php';
                    }elseif(isset($_GET['sil'])){
                        $gelen = @get('sil');
                        $markalar_sil = $db->delete('markalar')
                            ->where('id',$gelen)
                            ->done();
                        git('index.php?do=markalar');
                    }elseif(isset($_GET['duzenle'])){
                        $gelen = @get('duzenle');
                        include  'islemler/markalar_duzenle.php';
                    }else{
                        include  'islemler/markalar.php';
                    }
                break;


                // slider Sayfası
                    case'slider';
                        if(isset($_GET['ekle'])){
                            include  'islemler/slider_ekle.php';
                        }elseif(isset($_GET['sil'])){
                            $gelen = @get('sil');
                            $slider_sil = $db->delete('slider')
                                ->where('id',$gelen)
                                ->done();
                            git('index.php?do=slider');
                        }elseif(isset($_GET['duzenle'])){
                            $gelen = @get('duzenle');
                            include  'islemler/slider_duzenle.php';
                        }else{
                            include  'islemler/slider.php';
                        }
                    break;


            // Video Panel Sayfası
            case'video';
                if(isset($_GET['ekle'])){
                    include  'islemler/video_ekle.php';
                }elseif(isset($_GET['sil'])){
                    $gelen = @get('sil');
                    $video_sil = $db->delete('video')
                        ->where('id',$gelen)
                        ->done();
                    git('index.php?do=video');
                  }elseif(isset($_GET['duzenle'])){
                              $gelen = @get('duzenle');
                              include  'islemler/video_duzenle.php';
                }else{
                    include  'islemler/video.php';
                }
            break;


			     // personel Sayfası
            case'personel';
                if(isset($_GET['ekle'])){
                    include  'islemler/personel_ekle.php';
                }elseif(isset($_GET['sil'])){
                    $gelen = @get('sil');
                    $personel_sil = $db->delete('personel')
                        ->where('id',$gelen)
                        ->done();
                    git('index.php?do=personel');
				}elseif(isset($_GET['duzenle'])){
                    $gelen = @get('duzenle');
                    include  'islemler/personel_duzenle.php';
                }else{
                    include  'islemler/personel.php';
                }
            break;

            // Profil Sayfası //sadece süper admin
             case'profil';
                 if(isset($_GET['ekle'])){
                     include  'islemler/profil_ekle.php';
                 }elseif(isset($_GET['sil'])){
                     $gelen = @get('sil');
                  /*   $profil_sil = $db->delete('admin')
                         ->where('id',$gelen)
                         ->done();*/
                         echo '<div id="tour-11" class="header-content">
                           <h2 style="color:red;"><i class="fa fa-user"></i>BU İŞLEMİ GERÇEKLEŞTİRMEYE YETKİNİZ YOK.</h2>
                         </div>';
                     git('index.php?do=profil',2);
         }elseif(isset($_GET['duzenle'])){
                     $gelen = @get('duzenle');
                     include  'islemler/profil_duzenle.php';
                 }
                 else if(isset($_GET['sifre'])){
                       include  'islemler/sifre_degis.php';
                   }
                else{
                     include  'islemler/profil.php';
                 }
             break;




            // Slider Panel Sayfası
            case'slider';
                if(isset($_GET['ekle'])){
                    include  'islemler/slider_ekle.php';
                }elseif(isset($_GET['sil'])){
                    $gelen = @get('sil');
                    $slider_sil = $db->delete('slider')
                        ->where('id',$gelen)
                        ->done();
                    git('index.php?do=slider');
                }else{
                    include  'islemler/slider.php';
                }
            break;

        }

        include  'Footer.php';
    }else{
        // Admin Giriş Yapmamışsa
        include  'Login.php';
    }



?>
